#pragma once
#include "Vector.h"

struct Sphere
{
	Vector center;
	Scalar radius;
};

struct Ray
{
	Vector position;
	Vector direction;
};

const Vector NO_HIT = Vector(1e10, 1e10, 1e10);

Vector Hit(Sphere s, Ray r);
